package com.yanzhu.jh.wxsetting.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 菜单配置角色对象 sur_menu_config_role
 * 
 * @author JiangYuQi
 * @date 2023-08-24
 */
public class SurMenuConfigRole extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 菜单关系主键 */
    @Excel(name = "菜单关系主键")
    private Long smcid;

    /** 角色主键 */
    @Excel(name = "角色主键")
    private Long roleId;

    public void setSmcid(Long smcid) 
    {
        this.smcid = smcid;
    }

    public Long getSmcid() 
    {
        return smcid;
    }
    public void setRoleId(Long roleId) 
    {
        this.roleId = roleId;
    }

    public Long getRoleId() 
    {
        return roleId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("smcid", getSmcid())
            .append("roleId", getRoleId())
            .toString();
    }
}
